# Gmagick::setimageformat

(PECL gmagick >= Unknown)

Gmagick::setimageformat — Sets the format of a particular image

### Description

public Gmagick::setimageformat ( string `$imageFormat` ) : Gmagick

Sets the format of a particular image in a sequence.

### Parameters

`imageFormat`

  The image format.

### Return Values

The Gmagick object on success.

### Errors/Exceptions

Throws an GmagickException on error.